Announcement Announcement Module
Collapse
No announcement yet.
Small OSGi bundle headers fix Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Small OSGi bundle headers fix

    Any chance the upcoming release of 3.1.0 can allow a wider package version range for EHCache? Right now, it's "[1.4.1, 2.0.0)". The latest ehcache available as a bundle is 1.6.2 (still pretty old). I was hoping to try a distributed ACL cache with Terracotta, but it won't happen with EHCache 1.x on OSGi (Virgo, in my case).

  • #2
    If 2+ supports the same APIs that we require, then there's no reason why not. Please open a Jira issue.

    Comment


    • #3
      Seems to, for the ACL cache. I can say the unit tests will break for that; the default cache store doesn't behave like it used to, so the test assumptions are broken (maxElementsInMemory = 0 means no limit now, not straight-to-disk like it used to).

      I've done a git clone and managed a build against 2.4.0, so the APIs appear to be there. I'll take this over to JIRA.

      Thanks.

      Comment

      Working...
      X